Index: extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4880)
+++ extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4888)
@@ -29,5 +29,6 @@
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
 
-
+global $user, $lang, $conf, $errors,$mails_données;
+global $args, $conf_mail,$infos_message,$erreur_message,$mails_options ;
 // +-----------------------------------------------------------------------+
 // | Check Access and exit when user status is not ok                      |
@@ -39,7 +40,19 @@
 
 $my_base_url = get_admin_plugin_menu_link(__FILE__);
+
  load_language('plugin.lang', MAIL_SUPERV_PATH);
-
-
+ //=========================================================
+ $sv_Week=explode(" ",l10n('Week %d'));
+if( !isset($lang['Week'])) $lang['Week'] =   $sv_Week[0];
+
+
+$lang['Sv_format_d'] = '+1 '.$lang['Week'].'<br />
+  +1 '.$lang['Day'].'<br />
+  +1 '.$lang['Hour'].'<br />
+  +1 '.$lang['Minute'].'<br />
+  +1 '.$lang['Second'].'<br />';  
+ //==============================================================  
+ load_language('help/plugin.lang', MAIL_SUPERV_PATH);	
+ 
 	if (!isset($_GET['tab']))
 	$page['tab'] = 'mail_superv_admin';
@@ -78,7 +91,15 @@
 $error = array();
 
-global $user, $lang, $conf, $errors,$mails_données;
-global $args, $conf_mail,$infos_message,$erreur_message,$mails_options ;
+
 include_once (MAIL_SUPERV_PATH.'include/constants.php'); 
+
+	if (!isset($infos_message))
+	{
+    	$infos_message = "";
+	}
+if (!isset($erreur_message))
+	{
+    	$erreur_message = "";
+	}
 
 if (isset($conf['mail_superv'])) {
@@ -98,5 +119,5 @@
 		if (!isset($mails_options[check_header_carbon])) $mails_options[check_header_carbon] = 'off' ;  //1
 		if (!isset($mails_options[check_mailto])) $mails_options[check_mailto] = 'off' ;  //0
-		
+//================================================================================================		
 $mails_données = Get_Datas();
 
@@ -110,4 +131,5 @@
 
 
+	
 // *************************************************************************
 // |                          Sélection de l'onglet                        |
@@ -115,4 +137,5 @@
 
 	 	$modif=false ;
+		/*
 		$sql="SELECT * 
 FROM `".$prefixeTable."plugins` 
@@ -123,5 +146,10 @@
 	    $versions = mysql_fetch_array($result,MYSQL_ASSOC);
 	}
-$version= $versions['version'];
+$version = $versions['version'];
+*/
+$plugin =  Get_Version_plugins( MAIL_SUPERV_PATH);
+$version = $plugin['version'] ;
+ //=========================================================
+
 		if (!isset($ip)) {
 		       if (getenv("HTTP_CLIENT_IP"))
@@ -140,6 +168,6 @@
 //=============================================================
 if ( isset($_POST['submit']) ) {
-if ( $_POST['submit'] == l10n('Sv_refresh')   ) {
-
+ 
+	if ( $_POST['submit'] == l10n('Sv_refresh')   ) {
    	 	
 	if ($mails_données['nb_mails'] == 0 )  
@@ -156,10 +184,10 @@
 	 $infos_message .=  l10n('Sv_refresh') .'<br />';
      sauve_données();
- 	$aff_nb = false ;
- 
-	
-	}
-
-if ( $_POST['submit'] == l10n('Sv_raz')   ) {
+ 	 $aff_nb = false ;
+ 
+	
+	}
+
+	if ( $_POST['submit'] == l10n('Sv_raz')   ) {
 
 	$mails_données['date_quarantaine']=time();
@@ -178,42 +206,40 @@
 
   
-if ( $_POST['submit'] == l10n('Sv_Valider') )  
-{
- 
-  $mails_options[check_mailto] = isset($_POST['check_mailto']) ? $_POST['check_mailto'] : 'off' ;               
-  $mails_options[check_header_carbon] = isset($_POST['check_header_carbon']) ? $_POST['check_header_carbon'] : 'off' ; 
-  $mails_options[check_header_text] = isset($_POST['check_header_text']) ? $_POST['check_header_text'] : 'off' ;     
+	if ( $_POST['submit'] == l10n('Sv_Valider') )  
+		{
+  		$mails_options[check_mailto] = isset($_POST['check_mailto']) ? $_POST['check_mailto'] : 'off' ;               
+  		$mails_options[check_header_carbon] = isset($_POST['check_header_carbon']) ? $_POST['check_header_carbon'] : 'off' ; 
+  		$mails_options[check_header_text] = isset($_POST['check_header_text']) ? $_POST['check_header_text'] : 'off' ;     
   
-//données  
-$mails_données['nb_mails_maxi'] = isset($_POST['nb_mails_maxi']) ? $_POST['nb_mails_maxi'] :  $mails_données['nb_mails_maxi']  ;
-$mails_données['nb_mails_periode'] = isset($_POST['nb_mails_periode']) ? $_POST['nb_mails_periode'] :  $mails_données['nb_mails_periode']  ;
-$mails_données['nb_spams_maxi'] = isset($_POST['nb_spams_maxi']) ? $_POST['nb_spams_maxi'] :  $mails_données['nb_spams_maxi']  ;
-$mails_données['nb_spams_periode'] = isset($_POST['nb_spams_periode']) ? $_POST['nb_spams_periode'] :  $mails_données['nb_spams_periode']  ;
-$mails_données['quarantaine_periode'] = isset($_POST['quarantaine_periode']) ? $_POST['quarantaine_periode'] :  $mails_données['quarantaine_periode']  ;
-
-$mails_données['message'] = isset($_POST['content']) ? $_POST['content'] :  $mails_données['message']  ;
-$mails_données['header_text'] = isset($_POST['header_text']) ? $_POST['header_text'] :  $mails_données['header_text']  ;
-  //=======================================================================================================
-         sauve_options();
-         sauve_données();
+		//données  
+		$mails_données['nb_mails_maxi'] = isset($_POST['nb_mails_maxi']) ? $_POST['nb_mails_maxi'] :  $mails_données['nb_mails_maxi']  ;
+		$mails_données['nb_mails_periode'] = isset($_POST['nb_mails_periode']) ? $_POST['nb_mails_periode'] :  $mails_données['nb_mails_periode']  ;  
+		$mails_données['nb_spams_maxi'] = isset($_POST['nb_spams_maxi']) ? $_POST['nb_spams_maxi'] :  $mails_données['nb_spams_maxi']  ;
+		$mails_données['nb_spams_periode'] = isset($_POST['nb_spams_periode']) ? $_POST['nb_spams_periode'] :  $mails_données['nb_spams_periode']  ;
+
+		$mails_données['quarantaine_periode'] = isset($_POST['quarantaine_periode']) ? $_POST['quarantaine_periode'] :  $mails_données['quarantaine_periode']  ;
+ 
+			$mails_données['message'] = isset($_POST['content']) ? $_POST['content'] :  $mails_données['message']  ;
+			$mails_données['header_text'] = isset($_POST['header_text']) ? $_POST['header_text'] :  $mails_données['header_text']  ;
+ //=======================================================================================================
+	 		vérif_mails_données();
+		 	sauve_options();
+         	sauve_données();
 //=======================================================================================================
-		$infos_message  =  l10n('Sv_save_config') . " : " . l10n('Sv_Datas') . "<br />" ;
-		 $mails_données = Get_Datas() ;
-		 $erreur_message="";
-		 
-   }
-}
+			$infos_message  =  l10n('Sv_save_config') . " : " . l10n('Sv_Datas') . "<br />" ;
+			$erreur_message = "";
+			$mails_données = Get_Datas() ;
+   			}
+       }
 	
 	$mails_données = Get_Datas();
-
+    vérif_mails_données();
+//===============================================================================
+ 
 	$rest_mail= $mails_données['rest_mail'];  	
  	$rest_spam= $mails_données['rest_spam'];  	
     $reste= $mails_données['reste'];  	
 
-$quarantaine = ($mails_données['quarantaine'] == 'true') ? true : false ;;  	
-
-	 
-	
-$PHPWG_VERSION=PHPWG_VERSION;
+$quarantaine = ($mails_données['quarantaine'] == 'true') ? true : false ;	
 
 $template->assign(
@@ -227,5 +253,5 @@
    	'date_mail' => "'".date(l10n('Sv_formatdate'),$mails_données['date_mail'])."'" ,
    	'nb_mails_maxi' => $mails_données['nb_mails_maxi'] ,	
-	'nb_mails_periode' => "'".$mails_données['nb_mails_periode']."'" ,	
+	'nb_mails_periode' => "'". int_to_heure($mails_données['nb_mails_periode'])."'" ,	
  	'time_mails_reste' => "'".int_to_heure( $rest_mail )."'" ,	
 	
@@ -233,10 +259,10 @@
 	'date_spam' => "'".date(l10n('Sv_formatdate'),$mails_données['date_spam'])."'" ,
 	'nb_spams_maxi' => $mails_données['nb_spams_maxi'] ,	
-	 'nb_spams_periode' => "'".$mails_données['nb_spams_periode']."'" ,
+	 'nb_spams_periode' => "'".int_to_heure($mails_données['nb_spams_periode'])."'" ,
 	 'time_spams_reste' => "'".int_to_heure($rest_spam)."'" ,	
 	 
 	 'quarantaine' => $quarantaine ,
   	'date_quarantaine' => "'".date(l10n('Sv_formatdate'),time()+$reste)."'" ,
-	'quarantaine_periode' => "'".$mails_données['quarantaine_periode']."'" ,
+	'quarantaine_periode' => "'".int_to_heure($mails_données['quarantaine_periode'])."'" ,
      'reste' => "'".int_to_heure($reste)."'",
  
@@ -331,8 +357,5 @@
 // *************************************************************************   
      case 'mail_black_liste':
-   		load_language('help/plugin.lang', MAIL_SUPERV_PATH);	
-
 		global $user_name,$mail_adresse,$ip ;
- 
  	  	$aff_nb=false;
  //------------------------------------------------------------------------------------
@@ -340,5 +363,4 @@
       	$mails_options[no_connect] = isset($_POST['no_connect']) ? $_POST['no_connect'] : $mails_options[no_connect] ;
 	    $mails_options[set_auto] = isset($_POST['set_auto']) ? $_POST['set_auto'] : $mails_options[set_auto] ;		
-
 //=======================================================================================	
     $info_ip = (isset($info_ip)) ? $info_ip : '' ;
@@ -346,5 +368,4 @@
     $info_ip = (isset($_POST['info'])) ? $_POST['info'] : $info_ip ;
     $info_ip .= ":";
- 
    $val=explode(":",$info_ip);
    $info_ip = trim($val[0]) ;
@@ -431,5 +452,4 @@
      case 'mail_superv_help':
 
-   load_language('help/plugin.lang', MAIL_SUPERV_PATH);	
  
 	  $aff_nb=false;
@@ -478,7 +498,5 @@
  				$modif = false ;
  		}
-		if (!isset($infos_message)){
-		  $infos_message = "";
-		} 
+
 		if ($aff_nb == true) {
 		 $infos_message .= 'Mails    : '.$mails_données['nb_mails']. '  \\  ' . $mails_données['nb_mails_maxi'];
@@ -490,9 +508,7 @@
 		if  ($infos_message != "")  {
 		   array_push($page['infos'],  $infos_message);
-		 $infos_message="";
+		   $infos_message="";
 		 }
-		if (!isset($erreur_message)){
-		  $erreur_message = "";
-		} 		 
+		 
 		if  ($erreur_message != "")  {
 	
@@ -502,7 +518,4 @@
 		 
 		 }		 
-		 
 //========================================================================	
-	
-		 
 ?>
Index: extensions/Mail_supervisor/admin/mail_superv_admin.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 4880)
+++ extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 4888)
@@ -1,2 +1,15 @@
+{* $Id: mail_black_liste.tpl 3723 2009-08-07 04:53:38Z rvelices $ *}
+{known_script id="jquery" src=$ROOT_URL|@cat:"template-common/lib/jquery.packed.js"}
+{known_script id="jquery.cluetip" src=$ROOT_URL|@cat:"template-common/lib/plugins/jquery.cluetip.packed.js"}
+
+<script type="text/javascript">
+jQuery().ready(function(){ldelim}
+  jQuery('.cluetip').cluetip({ldelim}
+    width: 300,
+    splitTitle: '|'
+  });
+});
+</script>
+
 <div class="titrePage">
 		<h2>{'Sv_supervisor'|translate}{'Sv_version'|translate}{$version}</h2>
@@ -35,5 +48,5 @@
 	   <td><input type="text" name="date_mail"  value={$date_mail} readonly="true"  class="row2" /></td>
 	   <td><input type="text" name="nb_mails_maxi" size="10%" value={$nb_mails_maxi} /></td>
-	    <td><input type="text" name="nb_mails_periode" size="30%" value={$nb_mails_periode} /></td>
+	    <td><input class="cluetip" title="{'Sv_format'|translate}|{'Sv_format_d'|translate}" type="text" name="nb_mails_periode" size="30%" value={$nb_mails_periode} /></td>
 		<td><input type="text" name="time_mails_reste" size="50%" value={$time_mails_reste} readonly="true"  class="row2"  /></td>  
     </tr> 
@@ -45,5 +58,5 @@
 	   <td><input type="text" name="date_spam"  value={$date_spam}readonly="true"  class="row2"  /></td>
 	   <td><input type="text" name="nb_spams_maxi" size="10%" value={$nb_spams_maxi} /></td>
-	    <td><input type="text" name="nb_spams_periode" size="30%" value={$nb_spams_periode} /></td>
+	    <td><input type="text"  class="cluetip" name="nb_spams_periode" size="30%" value={$nb_spams_periode} title="{'Sv_format'|translate}|{'Sv_format_d'|translate}"/></td>
 		<td><input type="text" name="time_spams_reste" size="50%" value={$time_spams_reste} readonly="true"  class="row2"  /></td>  
 	    </tr> 
@@ -61,5 +74,5 @@
 		 	<td><input type="text" name="date_quarantaine"  value={$date_quarantaine} />		 	</td><td> </td>
 			
-		  <td><input type="text" name="quarantaine_periode" size="30%" value={$quarantaine_periode} /></td>
+		  <td><input type="text"  class="cluetip" name="quarantaine_periode" size="30%" value={$quarantaine_periode} title="{'Sv_format'|translate}|{'Sv_format_d'|translate}" /></td>
 		   <td><input type="text" name="reste" size="50%" value={$reste} /></td> 
 		{/if}
@@ -69,5 +82,5 @@
 		 <td> </td>
 		 <td> </td>
-		 <td><input type="text" name="quarantaine_periode" size="10%" value={$quarantaine_periode} /></td>
+		 <td><input type="text"  class="cluetip" name="quarantaine_periode" size="10%" value={$quarantaine_periode} title="{'Sv_format'|translate}|{'Sv_format_d'|translate}" /></td>
 		
 	 {/if}	      </tr> 	
@@ -83,5 +96,6 @@
            </table>
 	</fieldset>
-	      <p><input class="submit" type="submit" name="submit" value="{'Sv_Valider'|translate}" />
+	      <p>
+		     <input class="submit" type="submit" name="submit" value="{'Sv_Valider'|translate}" />
 	         <input class="submit" type="submit" name="submit" value="{'Sv_raz'|translate}" />
              <input class="submit" type="submit" name="submit" value="{'Sv_refresh'|translate}" />
Index: extensions/Mail_supervisor/admin/mail_superv_help.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 4880)
+++ extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 4888)
@@ -1,5 +1,3 @@
-
 <div class="instructions" >
-
 <h2>{'Sv_Tab_help'|translate}{'Sv_version'|translate}{$version}</h2>
 <fieldset style=" position:relative ; top:15px">
@@ -208,4 +206,3 @@
   </div> <!-- Fonction -->
 </div> <!-- Fonctions -->
-
  </fieldset></div>
Index: extensions/Mail_supervisor/admin/mail_superv_test.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_test.tpl	(revision 4880)
+++ extensions/Mail_supervisor/admin/mail_superv_test.tpl	(revision 4888)
Index: extensions/Mail_supervisor/include/constants.php
===================================================================
--- extensions/Mail_supervisor/include/constants.php	(revision 4880)
+++ extensions/Mail_supervisor/include/constants.php	(revision 4888)
@@ -8,3 +8,67 @@
 
 
+global 	$superv_champs , $superv_type ,$superv_bl_champs , $superv_bl_type ; 
+
+
+	  $superv_champs = array(
+	               "id",
+					"nb_mails",
+					"date_mail",
+					"nb_mails_maxi",		
+					"nb_mails_periode",	
+					"nb_spams",
+					"date_spam",	
+					"nb_spams_maxi",	
+					"nb_spams_periode",	
+					"quarantaine",
+					"date_quarantaine",
+					"quarantaine_periode",	
+					"message", 
+					"message_test", 
+				    "header_text",
+				
+					);	
+									
+ 	$superv_type = array(
+	                " SMALLINT( 5 ) NOT NULL DEFAULT '0'"      ,
+					"INT NOT NULL DEFAULT '0'"  ,
+					"INT NOT NULL DEFAULT '0'"  ,
+					"INT NOT NULL DEFAULT '2000'",		
+					"TEXT"  ,	
+					"INT NOT NULL DEFAULT '0'",
+					"INT NOT NULL DEFAULT '0'",	
+					"INT NOT NULL DEFAULT '10'",	
+					"TEXT"  ,	
+					"TEXT" ,
+					"INT NOT NULL DEFAULT '0'",
+					"TEXT"  ,	
+					"TEXT"  , 
+					"TEXT"  , 
+					"TEXT"  ,
+					
+					);		
+					
+ 
+	  $superv_bl_champs = array(
+	  				"id",
+					"ip",
+					"pays",
+					"region",		
+					"ville",	
+					"adresse",
+					"fai",	
+					"nb"
+					);
+					
+ 	$superv_bl_type = array(
+	                " smallint(5) UNSIGNED NOT NULL auto_increment ",
+ 					"TEXT"  ,
+ 					"TEXT"  ,
+ 					"TEXT"  ,
+ 					"TEXT"  ,
+ 					"TEXT"  ,
+ 					"TEXT"  ,
+					" smallint(5) UNSIGNED "
+					);																	
+
 ?>
Index: extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- extensions/Mail_supervisor/include/fonctions.php	(revision 4880)
+++ extensions/Mail_supervisor/include/fonctions.php	(revision 4888)
@@ -157,7 +157,7 @@
 		if ($erreur_message <> "")
 			{
-			    $erreur_message=str_replace("\n",'<br />',$erreur_message) ;
+			    $erreur_message = str_replace("\n",'<br />',$erreur_message) ;
    				$template->assign('errors',$erreur_message);
-				$erreur_message="";
+				$erreur_message = "";
 			}
   		}
@@ -169,7 +169,7 @@
 		if ($infos_message <> "")
 			{
-				$infos_message=str_replace("\n",'<br />',$infos_message) ;
+				$infos_message = str_replace("\n",'<br />',$infos_message) ;
    				$template->assign('infos',$infos_message);
-				$infos_message="";
+				$infos_message = "";
 			}
   		}
@@ -262,13 +262,16 @@
     $data = mysql_fetch_array($result,MYSQL_ASSOC);
 	//====================================================================================
-	
-	$next_day = Str_To_Time( $data['nb_mails_periode'], $data['date_mail'] );;
-	$data['rest_mail']=    $next_day - time() ;
+
+	$next_day = Str_To_Time( $data['nb_mails_periode'], $data['date_mail'] ); 
+ $next_day = ($next_day >0) ? $next_day :  (604800  + time()) ; 
+	$data['rest_mail'] =    $next_day - time() ;
 
 	$next_day = Str_To_Time( $data['nb_spams_periode'],$data['date_spam']);
-	$data['rest_spam']=  $next_day - time() ;
+	$next_day = ($next_day >0) ? $next_day :  (172800  + time()) ;
+	$data['rest_spam'] =  $next_day - time() ;
 
 
 	$next_day = Str_To_Time($data['quarantaine_periode'] ,$data['date_quarantaine']);	
+	$next_day = ($next_day >0) ? $next_day :  (172800 + time()) ;
 	
 	if ($data['quarantaine'] == 'true' ) {
@@ -309,4 +312,9 @@
 function int_to_heure($int)
 {
+global $lang,$mails_données ;
+
+$v0=Date_to_numeric(l10n('Day') );
+
+
 
 	$delta=(7*24*60*60) ;
@@ -331,11 +339,19 @@
 	$minutes  = substr ('00'.$minutes,-2,2);
 	$secondes = substr ('00'.$secondes,-2,2);
-
-   
-if ($week > 0 )
-{
-	return $week. " " .l10n('Sv_Week'). " " .  $day . " " .l10n('Sv_Day'). "s ". $heures . " ". l10n('Sv_Hour'). "s " .    $minutes. " " .l10n('Sv_Minute'). "s ".  $secondes." " .l10n('Sv_Seconde')."s";
-}
-return $day . " " .l10n('Sv_Day'). "s ". $heures . " ". l10n('Sv_Hour'). "s " . $minutes. " " .l10n('Sv_Minute'). "s ".  $secondes." " .l10n('Sv_Seconde')."s";
+	
+$retour="";
+$Week=explode(" ",l10n('Week %d'));
+$Week= ($Week[0]);
+
+if ($week > 0 ) $retour .= "+" . $week ." " . $Week ;
+if ($day  > 0) $retour .= "+" . $day ." " .l10n('Day');
+if ($heures > 0) $retour .= "+" . $heures." " .l10n('Hour');
+if ($minutes > 0) $retour .= "+" . $minutes." " .l10n('Minute');
+if ($secondes > 0) $retour .= "+" . $secondes." " .l10n('Second');
+$retour=str_replace("+0","+",$retour);
+//================================================================================================   
+
+
+return $retour;
 
 }	
@@ -372,16 +388,15 @@
 			   time(),
 	                 2000,
-	 '"1 '.l10n('Sv_Week').'"' ,
+	 '"604800"' ,
 	                    0,
 	          time(),
 	                   10,
-	  '"2 '.l10n('Sv_Day').'"',
+	  '"172800"',
 	               '"false"',
 	        time(),
-	  '"2 '.l10n('Sv_Day').'"',
-	
-	              '"Init"',
+	  '"172800"',
+	  '"Init"',
    '"'.l10n('Sv_supervisor').'"',
-	'"'.l10n('Sv_hello').'"',
+	'"'.l10n('hello').'"',
 	 )
  	;
@@ -528,38 +543,137 @@
 }
 //=====================================================================
-
-function Str_To_Time( $ajout,$init_date)
-{
-//========================================================
-  global $erreur_message,$infos_message;
-
-   
-$a_ajouter = strtolower($ajout) ;
-if (strlen($a_ajouter) <4) $a_ajouter=$a_ajouter." " ;
- $period_search=array("s ","j ","h ","m ","s ");
- array_push($period_search,"w ","d ","h ","m ","s ");
-array_push($period_search,l10n('Sv_Week').'s',l10n('Sv_Day').'s',l10n('Sv_Hour').'s',l10n('Sv_Minute').'s',l10n('Sv_Seconde').'s');
-array_push($period_search,l10n('Sv_Week'),l10n('Sv_Day'),l10n('Sv_Hour'),l10n('Sv_Minute'),l10n('Sv_Seconde'));
-	
-$period_match = array(' week ',' day ',' hour ',' minute ',' seconde ');
-                array_push($period_match,' week ',' day ',' hour ',' minute ',' seconde ');	
-	            array_push($period_match,' week ',' day ',' hour ',' minute ',' seconde ');
-	            array_push($period_match,' week ',' day ',' hour ',' minute ',' seconde ');
-	
-
-	
-$a_ajouter = "+ " .  str_replace($period_search, $period_match, $a_ajouter) ;
+function vérif_mails_données()
+{
+global $mails_données,$infos_message,$erreur_message,$page;
+
+if (!is_numeric($mails_données['nb_mails_periode']))
+{
+ $periode = Str_To_Time( $mails_données['nb_mails_periode'],0);
+ $mails_données['nb_mails_periode']= ($periode > 0) ? $periode : '604800' ;
+ }
+
+if (!is_numeric($mails_données['nb_spams_periode']))
+{
+ 
+ $periode=Str_To_Time( $mails_données['nb_spams_periode'],0);
+ $mails_données['nb_spams_periode']= ($periode > 0) ? $periode : '172800' ; ;
+ }
+if (!is_numeric($mails_données['quarantaine_periode']))
+{
+ $periode=Str_To_Time( $mails_données['quarantaine_periode'],0);
+ $mails_données['quarantaine_periode']= ($periode > 0) ? $periode : '172800' ; 
+ }
+
+  	if  ($infos_message != "")  {
+		   array_push($page['infos'],  $infos_message);
+		   $infos_message="";
+		 }
+		 
+		if  ($erreur_message != "")  {
+		  array_push($page['errors'], $erreur_message);
+		  $erreur_message ="";
+		 }	
+		 
+}
+//=======================================================================
+function Date_to_numeric( $Valeurs )
+{
+global $lang,$erreur_message,$infos_message;
+
+$a_ajouter = $Valeurs ;
+
+
+if (!isset($lang['Sv_second'])) {
+$Week=explode(" ",l10n('Week %d'));
+$Week= ($Week[0]);
+
+$lang['Sv_week'] = $Week;
+$lang['Sv_day'] =   l10n('Day')  ;
+$lang['Sv_hour'] =   l10n('Hour')  ;
+$lang['Sv_minute'] =   l10n('Minute') ;
+$lang['Sv_second'] =   l10n('Second');
+
+$lang['Sv_'. $lang['Sv_week']] = 'week';
+$lang['Sv_'. $lang['Sv_day']] = 'day';
+$lang['Sv_'. $lang['Sv_hour']] = 'hour';
+$lang['Sv_'. $lang['Sv_minute']] = 'minute';
+$lang['Sv_'. $lang['Sv_second']] = 'second';
+
+} 
+//--- traduction --> anglais --- 
+
+ //========= suppression numéric et symbole ==========
+$new_valeur =( preg_replace("/[0-9+\-.*\/()%]/"," ",$a_ajouter)); 
+$nv =  trim( sup_double_espace($new_valeur)) ;
+ 
+ 
+ 
+ 	$conv['week']= (7*24*60*60);
+	$conv['day']= (24*60*60);
+	$conv['hour']=  (60*60) ;
+	$conv['minute']=  60 ;
+	$conv['second']= 1;
+
+  $nv = explode(" ", $nv );
+  
+  foreach($nv as $nv1)
+  {
+  if (!isset($lang['Sv_'. $nv1]) ) {
+  //==== au cas pluriel ===
+  
+   $nv0 =  substr($nv1, 0,-1) ;   
+  $a_ajouter= str_replace( $nv1,$nv0,   $a_ajouter);
+  $nv1 = $nv0 ; 
+    
+  }
+  
+  if (!isset($lang['Sv_'. $nv1]) ) {
+    $erreur_message .= $nv1. " ".l10n('not_found')."<br />";  
+	//  die($erreur_message);
+	  
+  }else {
+    ob_start();  
+         $match = $conv[strtolower($lang['Sv_'. $nv1])] ;
+         $a_ajouter = str_replace($nv1," ". $match  ." ",$a_ajouter) ;
+ 	  	 $erreur_message .= ob_get_contents();
+    ob_end_clean();
+	}	
+	  
+  }
+
+$a_ajouter = "+ " .   $a_ajouter ;
 $a_ajouter=sup_double_espace($a_ajouter);
-
-$v1 = array('- ','+ ','week','day','hour','minute','seconde',' -',' +',' ');
-$v2 = array('-','+', (7*24*60*60) ,  (24*60*60),  (60*60),  60,1,'|-','|+',"*" );
-
+$v1 = array('- ','+ ',' -', ' +', ' ');
+$v2 = array('-' ,'+' ,'|-', '|+', "*");
 
 $new_valeur =  str_replace($v1,$v2,$a_ajouter) ;
 $new_valeur =  str_replace('++','+',$new_valeur ) ;
-
-$new_valeur = explode( "|",$new_valeur );
+			
+return   $new_valeur;
+}
+//=====================================================================
+function Str_To_Time( $ajout,$init_date)
+{
+//========================================================
+  global $erreur_message,$infos_message,$user;
+  global $lang;
+  
+  $ajout=ucwords ($ajout);
+  
+  
+if (is_numeric($ajout))
+ $valeur=   $ajout ;
+else
+{
+ $valeur= Date_to_numeric( $ajout) ;
+ 
+ }
+ 
+$new_valeur = explode( "|", $valeur );
+
 $p = $init_date ;
 $n0=0;
+$erreur = false;
+
 	//$new_valeur = $a_ajouter + $init_date ;
 	foreach($new_valeur as $nv)
@@ -570,10 +684,11 @@
 		 }else {
 		    $erreur_message .=   "[" . $ajout . "] --> " . l10n('Sv_syntax_error') . " : " .  $nv ."<br />";
+			$erreur = true;
 		 }
 			
 	 
 	}
-	
-return  $p ;
+	if ($erreur) $p = -1000 ;
+return    intval($p) ;
  
 }
@@ -908,4 +1023,46 @@
 }
 
-	
+ function Get_Version_plugins($dir)
+  {
+        $path = $dir;
+          $plg_data = implode( '', file($path.'main.inc.php') );
+          if ( preg_match("|Plugin Name: (.*)|", $plg_data, $val) )
+          {
+            $plugin['name'] = trim( $val[1] );
+          }
+          if (preg_match("|Version: (.*)|", $plg_data, $val))
+          {
+            $plugin['version'] = trim($val[1]);
+          }
+          if ( preg_match("|Plugin URI: (.*)|", $plg_data, $val) )
+          {
+            $plugin['uri'] = trim($val[1]);
+          }
+          if ($desc = load_language('description.txt', $path.'/', array('return' => true)))
+          {
+            $plugin['description'] = trim($desc);
+          }
+          elseif ( preg_match("|Description: (.*)|", $plg_data, $val) )
+          {
+            $plugin['description'] = trim($val[1]);
+          }
+          if ( preg_match("|Author: (.*)|", $plg_data, $val) )
+          {
+            $plugin['author'] = trim($val[1]);
+          }
+          if ( preg_match("|Author URI: (.*)|", $plg_data, $val) )
+          {
+            $plugin['author uri'] = trim($val[1]);
+          }
+          if (!empty($plugin['uri']) and strpos($plugin['uri'] , 'extension_view.php?eid='))
+          {
+            list( , $extension) = explode('extension_view.php?eid=', $plugin['uri']);
+            if (is_numeric($extension)) $plugin['extension'] = $extension;
+          }
+          // IMPORTANT SECURITY !
+          $plugin = array_map('htmlspecialchars', $plugin);
+
+         return $plugin ;
+
+  }
 ?>
Index: extensions/Mail_supervisor/include/function_test_send.php
===================================================================
--- extensions/Mail_supervisor/include/function_test_send.php	(revision 4880)
+++ extensions/Mail_supervisor/include/function_test_send.php	(revision 4888)
@@ -102,5 +102,5 @@
 	{	
 		if ($group_name<>'') {
-		 $infos_message .=  '<br />'.  sprintf( l10n('Sv_An information email was sent to group "%s"'), $group_name ).'<br />';
+		 $infos_message .=  '<br />'.  sprintf( l10n('An information email was sent to group "%s"'), $group_name ).'<br />';
 		 	}
 		 	if ($mailto <> '') {
Index: extensions/Mail_supervisor/include/save_info.php
===================================================================
--- extensions/Mail_supervisor/include/save_info.php	(revision 4880)
+++ extensions/Mail_supervisor/include/save_info.php	(revision 4888)
@@ -1,13 +1,5 @@
 <?php
-
-
 //=======================================================================================
-
-
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
-
-
-   
-
 
 switch (strtolower($info_ip))
Index: extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php
===================================================================
--- extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 4880)
+++ extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 4888)
@@ -1,4 +1,9 @@
 <?php
 global $lang ;
+if( !isset($lang['Minute'])) $lang['Minute'] =   l10n('Minute') ;
+if( !isset($lang['Second'])) $lang['Second'] =   l10n('Seconde');
+$sv_Week=explode(" ",l10n('Week %d'));
+if( !isset($lang['Week'])) $lang['Week'] =   $sv_Week[0];
+
 //========================================================================================================
 $lang['Sv_Fonctionality']='Fonctionnalités';
@@ -26,10 +31,10 @@
 $lang['Sv_hlp_3_4']='Durée pendant laquelle l\'envoie des mails est possible';
 
-$lang['Sv_hlp_3_4_0']='<br />Format possible: <br />
-   n '.$lang['Sv_Week'].'<br />
-   n '.$lang['Sv_Day'].'<br />
-   n '.$lang['Sv_Hour'].'<br />
-   n '.$lang['Sv_Minute'].'<br />
-   n '.$lang['Sv_Seconde'].'<br />
+$lang['Sv_hlp_3_4_0']='<br />Valeurs acceptées: <br />
+  + n '.l10n('Week').'<br />
+  + n '.l10n('Day').'<br />
+  + n '.l10n('Hour').'<br />
+  + n '.l10n('Minute').'<br />
+  + n '.l10n('Second').'<br />
  n étant le nombre de (semaine,jour,heure,minute,seconde) '
 ;
Index: extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4880)
+++ extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4888)
@@ -1,25 +1,17 @@
 <?php
 global $lang ;
+
 //===================================================
-$lang['Sv_Week'] = 'semaine';
-$lang['Sv_Day'] = 'jour';
-$lang['Sv_Hour'] = 'heure';
-$lang['Sv_Minute'] = 'minute';
-$lang['Sv_Seconde'] = 'seconde';
+if( !isset($lang['Minute'])) $lang['Minute'] =   l10n('Minute') ;
+if( !isset($lang['Second'])) $lang['Second'] =   l10n('Seconde');
 
-
-$lang['Sv_n_'.l10n('Sv_Week')]= (7*24*60*60);
-$lang['Sv_n_'.l10n('Sv_Day')]= (24*60*60);
- $lang['Sv_n_'.l10n('Sv_Hour')]=  (60*60) ;
- $lang['Sv_n_'.l10n('Sv_Minute')]=   60 ;
- $lang['Sv_n_'.l10n('Sv_Seconde')]= 1;
- 
-  $lang['Sv_Datas'] =  'Datas' ; 
- $lang['Sv_Group'] = $lang['Group']; 
- $lang['Sv_mail_content'] =  $lang['mail_content'];
- $lang['Sv_options'] =   'Options' ;
-  $lang['Sv_raz'] =  'raz' ; 
-    $lang['Sv_Quarantaine'] =  'Quarantaine' ; 
-	 $lang['Sv_config'] =  'Configuration' ; 
+//=======================================================
+$lang['Sv_Datas'] =  'Datas' ; 
+$lang['Sv_Group'] = $lang['Group']; 
+$lang['Sv_mail_content'] =  $lang['mail_content'];
+$lang['Sv_options'] =   'Options' ;
+$lang['Sv_raz'] =  'raz' ; 
+$lang['Sv_Quarantaine'] =  'Quarantaine' ; 
+$lang['Sv_config'] =  'Configuration' ; 
 	 
 $lang['Sv_rest'] = 'Reste';	 
@@ -27,6 +19,8 @@
 $lang['Sv_iP_adress'] = 'IP adresse';
 $lang['Sv_Test'] = 'Test';
+
 $lang['Sv_Valider'] = 'Valider';
 $lang['Sv_version'] = ' Version  :';
+
 $lang['Sv_fai'] = $lang['Sv_username'];
 $lang['Sv_not_a_spam'] = 'N\'est pas dans la base de données de "stopforumspam".';
@@ -82,4 +76,5 @@
 $lang['Sv_nb_maxi'] = ' Nombre maxi ';
 $lang['Sv_quarantaine'] = 'Vous êtes en quarantaine jusqu\'au : ';
+
 $lang['Sv_heures'] = ' Heures ';
 $lang['Sv_date'] = ' Date : ';
@@ -89,9 +84,8 @@
 //========================================================================
 $lang['Sv_To_day_is'] = 'Nous sommes le:'.date('d-M-Y H:i:s') ; 
- 
-
-
 
 $lang['Sv_formatdate'] = 'd-M-Y H:i:s';  
+$lang['Sv_format'] = 'Valeurs acceptées:';  
+
 
 $lang['Sv_mise_en_quarantaine %s %s %s %s %s'] = '
@@ -120,17 +114,10 @@
 					%s
 					';
-					
 $lang['Sv_message_texte %s %s %s %s'] ='
  %s
-	      Bonjour   "%s"  ,
-		  
+	     '. l10n('hello') .'  "%s"  ,
 	 %s
-	
-	 
-	    A bientot 
-	  
+	    '. l10n('See you soon.') .' 
 	      %s
 	  '; 
-
-			
 ?>
Index: extensions/Mail_supervisor/main.inc.php
===================================================================
--- extensions/Mail_supervisor/main.inc.php	(revision 4880)
+++ extensions/Mail_supervisor/main.inc.php	(revision 4888)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Mail supervisor
-Version: 1.3.3
+Version: 1.3.5
 Description: Mail supervisor surveille l'envoie des mails.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=315
@@ -15,74 +15,8 @@
 /* EVENT_HANDLER_PRIORITY_NEUTRAL  */
 
-
-
-global 	$superv_champs , $superv_type ,$superv_bl_champs , $superv_bl_type ; 
-	  $superv_champs = array(
-	               "id",
-					"nb_mails",
-					"date_mail",
-					"nb_mails_maxi",		
-					"nb_mails_periode",	
-					"nb_spams",
-					"date_spam",	
-					"nb_spams_maxi",	
-					"nb_spams_periode",	
-					"quarantaine",
-					"date_quarantaine",
-					"quarantaine_periode",	
-					"message", 
-					"message_test", 
-				    "header_text",
-				
-					);
-					
- 	$superv_type = array(
-	                " SMALLINT( 5 ) NOT NULL DEFAULT '0'"      ,
-					"INT NOT NULL DEFAULT '0'"  ,
-					"INT NOT NULL DEFAULT '0'"  ,
-					"INT NOT NULL DEFAULT '2000'",		
-					"TEXT"  ,	
-					"INT NOT NULL DEFAULT '0'",
-					"INT NOT NULL DEFAULT '0'",	
-					"INT NOT NULL DEFAULT '10'",	
-					"TEXT"  ,	
-					"TEXT" ,
-					"INT NOT NULL DEFAULT '0'",
-					"TEXT"  ,	
-					"TEXT"  , 
-					"TEXT"  , 
-					"TEXT"  ,
-					
-					);		
-					
- 
-	  $superv_bl_champs = array(
-	  				"id",
-					"ip",
-					"pays",
-					"region",		
-					"ville",	
-					"adresse",
-					"fai",	
-					"nb"
-					);
-					
- 	$superv_bl_type = array(
-	                " smallint(5) UNSIGNED NOT NULL auto_increment ",
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
-					" smallint(5) UNSIGNED "
-					);																	
-
  global $conf ;
 
-  date_default_timezone_set("Europe/Paris");
   
 add_event_handler('send_mail', 'clj_mail',EVENT_HANDLER_PRIORITY_NEUTRAL - 1 , 6);
-
 function clj_mail($result, $mailto, $subject, $content, $headers, $args)
 {
@@ -128,6 +62,5 @@
 	// lecture données       -------------
     $mails_données = Get_Datas();
-
-	
+ 
 	$nb_mails	  =	$mails_données['nb_mails'] ;
 	$next_day  =  $mails_données['date_mail'] ;
Index: extensions/Mail_supervisor/maintain.inc.php
===================================================================
--- extensions/Mail_supervisor/maintain.inc.php	(revision 4880)
+++ extensions/Mail_supervisor/maintain.inc.php	(revision 4888)
@@ -27,67 +27,4 @@
 if (!defined('MAIL_SUPERV_PATH')) define('MAIL_SUPERV_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
  include_once (MAIL_SUPERV_PATH.'include/constants.php');
-
-
-global 	$superv_champs , $superv_type ,$superv_bl_champs , $superv_bl_type ; 
-	  $superv_champs = array(
-	               "id",
-					"nb_mails",
-					"date_mail",
-					"nb_mails_maxi",		
-					"nb_mails_periode",	
-					"nb_spams",
-					"date_spam",	
-					"nb_spams_maxi",	
-					"nb_spams_periode",	
-					"quarantaine",
-					"date_quarantaine",
-					"quarantaine_periode",	
-					"message", 
-					"message_test", 
-				    "header_text",
-				
-					);
-					
- 	$superv_type = array(
-	                " SMALLINT( 5 ) NOT NULL DEFAULT '0'"      ,
-					"INT NOT NULL DEFAULT '0'"  ,
-					"INT NOT NULL DEFAULT '0'"  ,
-					"INT NOT NULL DEFAULT '2000'",		
-					"TEXT"  ,	
-					"INT NOT NULL DEFAULT '0'",
-					"INT NOT NULL DEFAULT '0'",	
-					"INT NOT NULL DEFAULT '10'",	
-					"TEXT"  ,	
-					"TEXT" ,
-					"INT NOT NULL DEFAULT '0'",
-					"TEXT"  ,	
-					"TEXT"  , 
-					"TEXT"  , 
-					"TEXT"  ,
-					
-					);		
-					
- 
-	  $superv_bl_champs = array(
-	  				"id",
-					"ip",
-					"pays",
-					"region",		
-					"ville",	
-					"adresse",
-					"fai",	
-					"nb"
-					);
-					
- 	$superv_bl_type = array(
-	                " smallint(5) UNSIGNED NOT NULL auto_increment ",
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
- 					"TEXT"  ,
-					" smallint(5) UNSIGNED "
-					);																	
 
 
@@ -140,4 +77,3 @@
 }
 
-
 ?>
